package cn.com.ctop.job.kuaishou.handler;


import cn.com.ctop.job.kuaishou.utils.HttpUtils;
import com.xxl.job.core.context.XxlJobHelper;
import com.xxl.job.core.handler.annotation.XxlJob;
import org.springframework.stereotype.Component;

/**
 * 供应链-快分销数据
 */
@Component
public class CheckKuaishouActivityInfoJob {

    @XxlJob("checkKuaishouActivityInfoJob")
    public void execute() throws Exception {
        try {
            //昨天
            HttpUtils.httpGet("http://ruixuan.api.tjyourong.com.cn/isv/supply_chain/addListKuaishouActivityInfo", null, null);
            XxlJobHelper.log(" --------团长查询招商活动列表，执行完成-------- ");
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}
