package cn.com.ctop.job.kuaishou.handler;

import cn.com.ctop.job.kuaishou.utils.HttpUtils;
import com.xxl.job.core.context.XxlJobHelper;
import com.xxl.job.core.handler.annotation.XxlJob;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

/**
 * 清洗外部素材集信息表
 */
@Component
@Slf4j
public class ExternalMaterialCollectionJob {

    /**
     * 快手自动创建组
     */
    @XxlJob("externalMaterialCollectionJob")
    public void execute() {
        try {
            String url = "http://api.tjyourong.com.cn/jeecg-boot/external/materialCollection/createInternalMaterial";
            log.info("请求地址：{}", url);
            try {
                HttpUtils.httpGet(url, null, null);
            } catch (Exception e) {
                XxlJobHelper.log(e.getMessage());
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}
