package cn.com.ctop.job.kuaishou.handler;

import cn.com.ctop.job.kuaishou.service.TokenService;
import com.xxl.job.core.handler.annotation.XxlJob;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component
public class KuaiShouRefreshAgentTokenJob {
    @Autowired
    private TokenService tokenService;

    /**
     * 代理商刷新token
     */
    @XxlJob("kuaiShouRefreshAgentTokenJob")
    public void execute() {
        try {
            tokenService.getKuaiShouAgentRefresh();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}

