package cn.com.ctop.job.kuaishou.handler;

import cn.com.ctop.job.kuaishou.service.TokenService;
import com.xxl.job.core.handler.annotation.XxlJob;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component
public class KuaiShouRefreshLiveTokenJob {
    @Autowired
    private TokenService tokenService;

    /**
     * 刷新快手直播token(ruixuan)
     */
    @XxlJob("kuaiShouLiveRefreshTokenJob")
    public void execute() {
        try {
            tokenService.getLiveKuaiShouAgentRefresh();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

}

