package cn.com.ctop.job.kuaishou.handler;

import cn.com.ctop.job.kuaishou.service.TokenService;
import com.xxl.job.core.handler.annotation.XxlJob;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component
public class KuaiShouRefreshTokenJob {
    @Autowired
    private TokenService tokenService;

    /**
     * 快手刷新token
     */
    @XxlJob("kuaiShouRefreshTokenJob")
    public void execute() {
        try {
            tokenService.getKuaiShouRefresh();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}

