package cn.com.ctop.job.kuaishou.mapper;

import cn.com.ctop.job.kuaishou.entity.CtopOauthToken;
import cn.com.ctop.job.kuaishou.entity.OauthAgentToken;
import com.alibaba.fastjson.JSONObject;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface TokenMapper {

    List<CtopOauthToken> getAllKuaiShouTokens();

    CtopOauthToken getTokenByAccountId(@Param("accountId") Long accountId);

    OauthAgentToken getAgentTokenByAppId(@Param("appId") Long appId);

    List<OauthAgentToken> getAgentList();

    int updateAgentTokenById(@Param(value = "agentToken")  OauthAgentToken agentToken);

    List<OauthAgentToken> getLiveKuaiShouAgentList();

    int updateLiveById(OauthAgentToken agentToken);

    List<JSONObject> getListByMediaId();

    int updateTokenById(CtopOauthToken oauthToken);

    List<CtopOauthToken> queryKsValidRuleAccountsToken();
}
