package cn.com.ctop.job.kuaishou.service;

import cn.com.ctop.job.kuaishou.entity.CtopOauthToken;
import cn.com.ctop.job.kuaishou.entity.OauthAgentToken;
import cn.com.ctop.job.kuaishou.entity.UserAllocation;
import com.alibaba.fastjson.JSONObject;

import java.util.List;

/**
 * token信息
 */
public interface TokenService {

    List<CtopOauthToken> getAllKuaiShouTokens();

    CtopOauthToken getTokenByAccountId(Long accountId);

    void getKuaiShouAgentRefresh();

    void getLiveKuaiShouAgentRefresh();

    void getKuaiShouRefresh();

    OauthAgentToken getAgentTokenByAppId(Long appId);

    List<CtopOauthToken> queryKsValidRuleAccountsToken();
}
