package cn.com.ctop.job.kuaishou.utils;

import lombok.extern.slf4j.Slf4j;

import java.io.UnsupportedEncodingException;

/**
 * AES 加密
 *
 * @author jeecg-boot
 */
@Slf4j
public class AesEncryptUtil {

    private AesEncryptUtil() {
    }


    public static String getUrlDecoderString(String str) {
        String result = "";
        if (null == str) {
            return "";
        }
        try {
            result = java.net.URLDecoder.decode(str, "UTF-8");
        } catch (UnsupportedEncodingException e) {
            log.error(e.getMessage(), e);
        }
        return result;

    }
}
