package cn.com.ctop.job.kuaishou.handler;

import cn.com.ctop.job.kuaishou.service.CommonService;
import com.xxl.job.core.handler.annotation.XxlJob;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component
public class AccountAttributionInfoJob {
    @Autowired
    private CommonService commonService;

    @XxlJob("reloadAccountAttributionInfo")
    public void execute() throws Exception {
        try {
            commonService.reloadData();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}
