package cn.com.ctop.job.kuaishou.mapper;

import cn.com.ctop.job.kuaishou.entity.KuaishouSupplyChain;
import com.alibaba.fastjson.JSONObject;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface RuixuanMapper {

    List<JSONObject> getCookie();

    List<JSONObject> itemList();

    void replaceSupplyChains(@Param(value = "adds") List<KuaishouSupplyChain> supplyChains);

    List<JSONObject> getSamplesData(@Param("statDate") String statDate);

    List<JSONObject> getDataList(@Param("statDate") Long statDate);

    void deletePromoterBindChannelByDate(@Param("date") Long date);

    void cleanKuaiShouPromoterBindChannel(@Param("date") Long date);

    void cleanBytedancePromoterBindChannel(@Param("date") Long date);

    void deleteMgsPromoterBindChannelByDate(@Param("date") Long date);

    void cleanMgsKuaiShouPromoterBindChannel(@Param("date") Long date);
}
