package cn.com.ctop.job.kuaishou.mapper;

import cn.com.ctop.job.kuaishou.entity.JyClipTopList;
import cn.com.ctop.job.kuaishou.entity.UserAllocation;
import cn.com.ctop.job.kuaishou.entity.WarningOperationLog;
import cn.com.ctop.job.kuaishou.entity.WexinConfig;
import com.alibaba.fastjson.JSONObject;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface SendMapper {

    JSONObject getWChatIdByUserId(@Param("userId") String userId);

    List<WexinConfig> orderByDescList();

    String queryUserIdByAccountId(@Param("accountId") Long accountId);

    void insertWarningOperationLog(WarningOperationLog warningOperationLog);

    List<JSONObject> selectWeiXinIdListByAccountId(@Param("accountId") Long accountId);
}
