package cn.com.ctop.job.kuaishou.mapper;

import cn.com.ctop.job.kuaishou.entity.Project;
import cn.com.ctop.job.kuaishou.entity.UserAllocation;
import com.alibaba.fastjson.JSONObject;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface UserMapper {

    List<JSONObject> getUserMapByMap(@Param("ids") Map<String, String> userIdMap);

    List<JSONObject> getListByMap(@Param("ids") Map<Long, Long> projectIdMap);

    Long getProjectIdByAccountId(@Param("accountId") Long accountId);

    JSONObject getWarningInfoByProjectId(@Param("projectId") Long projectId);

    UserAllocation getOneByAccountId(@Param("accountId") Long accountId);

    Project getProjectById(@Param("projectId") Long projectId);

    List<Long> getAccountIdsByMedia(@Param("mediaId") String mediaId);
}
