package cn.com.ctop.job.kuaishou.service;

import cn.com.ctop.job.kuaishou.entity.CtopOauthToken;
import cn.com.ctop.job.kuaishou.entity.KuaiShouGroup;
import cn.com.ctop.job.kuaishou.entity.KuaiShouGroupTarget;
import com.alibaba.fastjson.JSONObject;

import java.util.Date;
import java.util.List;

public interface AccountInfoService {

    void getGroupList(CtopOauthToken token, Date startDate, Date endDate);

    void updateUnitStatus(String accessToken, Long advertiserId, Long unitId, int i, String admin);

    void queryEveryhourlyDataForAccount();

    void getAdvertiserReportHourly(CtopOauthToken token, Date startDate, Date endDate);

    void kuaiShouAccountWarning(Long account, String statDate, String anotherDay);

    void getAgentReportByPage(String startDate, String endDate);

    void synchronousKuaiShouMonitor(String s, Long aLong);

    void synchronousTouTiaoMonitor(String s, Long aLong);

    JSONObject getAccountReportBy(CtopOauthToken oauthToken, Long accountId);

    JSONObject getAccountFundBy(CtopOauthToken oauthToken, Long accountId);

    void getGroupListByAccountId(String accessToken, Long accountId);

    KuaiShouGroup getGroupOneByUnitId(Long unit_id);

    KuaiShouGroupTarget getTargetOneByUnitId(Long unit_id);

    List<String> getAllAccountId();

    List<String> getAccountIdByMedia(String mediaId);
}

