package cn.com.ctop.job.kuaishou.service;

import com.alibaba.fastjson.JSONObject;

import java.util.List;
import java.util.Map;

public interface RuixuanService {

    List<JSONObject> getCookie();

    Map<Long, Long> getItemMap();

    void getOrderList(String cookie, Integer offset, Long orderCreateTimeStart, Long orderCreateTimeEnd, Map<Long, Long> itemMap) throws Exception;

    List<JSONObject> getSamplesData(String startDate);

    List<JSONObject> getDataList(Long statDate);

    void deletePromoterBindChannelByDate(Long date);

    void cleanKuaiShouPromoterBindChannel(Long date);

    void cleanBytedancePromoterBindChannel(Long date);

    void deleteMgsPromoterBindChannelByDate(Long date);

    void cleanMgsKuaiShouPromoterBindChannel(Long date);
}
