package cn.com.ctop.job.kuaishou.service;

import cn.com.ctop.job.kuaishou.entity.Project;
import cn.com.ctop.job.kuaishou.entity.UserAllocation;
import com.alibaba.fastjson.JSONObject;

import java.util.List;
import java.util.Map;

public interface UserService {

    Map<String, String> getUserMapByMap(Map<String, String> userIdMap);

    Map<Long, String> getProjectMap(Map<Long, Long> projectIdMap);

    JSONObject getBidTypeAndMaxBid(Long accountId);

    UserAllocation getOneByAccountId(Long accountId);

    Project getProjectById(Long projectId);

    List<Long> getAccountIdsByMedia(String mediaId);
}
