package cn.com.ctop.job.kuaishou.service.impl;

import cn.com.ctop.job.kuaishou.service.IMessageTemplate;
import org.springframework.stereotype.Service;

@Service
public class MessageTemplateImpl implements IMessageTemplate {

    @Override
    public String getKuaiShouBidTypeMessage(String projectName, Long advertiserId, Long unitId, String unit_name) {
        StringBuilder text = new StringBuilder();
        text.append("出价方式错误预警").append("<br/>")
                .append("您的项目：").append(projectName + "，").append("<br/>")
                .append("下的账户：").append(advertiserId + "，").append("<br/>")
                .append("广告组id为：").append(unitId).append("<br/>")
                .append("广告组名称为：").append(unit_name).append("<br/>")
                .append("出价方式设置错误。").append("<br/>")
                .append("系统已执行暂停此组操作，请您及时查看！");
        return text.toString();
    }

    @Override
    public String getKuaiShouBidMessage(String projectName, Long accountId, Long unitId, String unit_name) {
        StringBuilder text = new StringBuilder();
        text.append("出价过高预警").append("<br/>")
                .append("您的项目：").append(projectName + "，").append("<br/>")
                .append("下的账户：").append(accountId + "，").append("<br/>")
                .append("广告组id为：").append(unitId).append("<br/>")
                .append("广告组名称为：").append(unit_name).append("<br/>")
                .append("出价设置过高。").append("<br/>")
                .append("系统已执行暂停此组操作，请您及时查看！");
        return text.toString();
    }
}
